////////////////////////////////////////////////////////////////////////////////
//
//	モジュール名：	CRefDirButton クラス
//
//	機能：			参照ボタンクラス（ディレクトリ選択）
//
//	主入口名：		Setup()
//
//	使用概要/備考：
//	　OnInitDialog()等にてSetup()を各種設定をする事により、
//	　ボタンを押されたとき、ファイル選択ダイアログが表示されます。
//	　そして選択されたファイルのパスが、関連付けられたコントロールへSetWindowTextされます。
//
////////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_RefDirButton_H__B08A9325_FB99_4B02_8153_3951BF6E7D4D__INCLUDED_)
#define AFX_RefDirButton_H__B08A9325_FB99_4B02_8153_3951BF6E7D4D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RefDirButton.h : ヘッダー ファイル
//

/////////////////////////////////////////////////////////////////////////////
// CRefDirButton ウィンドウ

namespace mwlmfc{

class CRefDirButton : public CButton
{
private:
	CWnd *m_pAttachedWnd;
	CString m_cstrRefWindowTitle;

// コンストラクション
public:
	CRefDirButton();

// アトリビュート
public:

// オペレーション
public:
	void Setup( CWnd *pWnd, const char* szTitle="参照" ){
		m_pAttachedWnd = pWnd;
		m_cstrRefWindowTitle = szTitle;
	}
	void Setup( CDialog *pParentDlg, int nControlId, const char* szTitle="参照" ){
		AttachRefControl( pParentDlg, nControlId );
		m_cstrRefWindowTitle = szTitle;
	}

	//	Setup()が実装される前のメソッド
	void RefAttachControl( CWnd &wnd ){ m_pAttachedWnd = &wnd; }
	void AttachRefControl( CWnd &wnd ){ m_pAttachedWnd = &wnd; }
	void AttachRefControl( CDialog *pParentDlg, int nID ){ m_pAttachedWnd = pParentDlg->GetDlgItem(nID); }
	void SetRefWindowTitle( const char* szTitle ){ m_cstrRefWindowTitle = szTitle; }

// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CRefDirButton)
	//}}AFX_VIRTUAL

// インプリメンテーション
public:
	virtual ~CRefDirButton();

	// 生成されたメッセージ マップ関数
protected:
	//{{AFX_MSG(CRefDirButton)
	afx_msg void OnClicked();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

}//namespace mwlmfc

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_RefDirButton_H__B08A9325_FB99_4B02_8153_3951BF6E7D4D__INCLUDED_)
